curl -X POST "https://api.affonso.io/v1/finder/shortlist" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"search_id": "cmk2q1wau0001sb01lpvka001",
"result_id": "cmk2q1wau0002sb01lpvka002"
}'
{
"success": true,
"data": {
"id": "cmk2q1wau0003sb01lpvka003",
"name": "Example",
"domain": "example.com",
"urls": [
"https://example.com/article"
],
"category": "google",
"emails": [],
"social_media": [],
"notes": null,
"status": "NEW",
"created_at": "2026-08-28T00:00:00.000Z",
"updated_at": "2026-08-28T00:00:00.000Z"
}
}
Affiliate Finder
Add Finder Result to Shortlist
Save a Finder result to the team shortlist
POST
/
v1
/
finder
/
shortlist
curl -X POST "https://api.affonso.io/v1/finder/shortlist" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"search_id": "cmk2q1wau0001sb01lpvka001",
"result_id": "cmk2q1wau0002sb01lpvka002"
}'
{
"success": true,
"data": {
"id": "cmk2q1wau0003sb01lpvka003",
"name": "Example",
"domain": "example.com",
"urls": [
"https://example.com/article"
],
"category": "google",
"emails": [],
"social_media": [],
"notes": null,
"status": "NEW",
"created_at": "2026-08-28T00:00:00.000Z",
"updated_at": "2026-08-28T00:00:00.000Z"
}
}
For a new domain, matching URLs in that search are grouped into one shortlist item and those results are removed from the search. If the domain is already on the shortlist, the existing item is returned unchanged.
Body Parameters
string
required
Finder search ID that contains the result
string
required
Finder result ID to save
Response
The response includes the shortlist item.boolean
Always
true for successful responsesobject
The shortlist item.
Show Data Object Properties
Show Data Object Properties
string
Unique identifier for the shortlist item
string
Opportunity name
string
Opportunity domain
string[]
URLs grouped into this shortlist item
string
Opportunity category
string[]
Saved contact emails
string[]
Saved social profile URLs
string | null
Notes, or
null if unsetstring | null
Workflow status, or
null if unsetstring
ISO 8601 timestamp of when the item was created
string
ISO 8601 timestamp of when the item was last updated
curl -X POST "https://api.affonso.io/v1/finder/shortlist" \
-H "Authorization: Bearer sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"search_id": "cmk2q1wau0001sb01lpvka001",
"result_id": "cmk2q1wau0002sb01lpvka002"
}'
{
"success": true,
"data": {
"id": "cmk2q1wau0003sb01lpvka003",
"name": "Example",
"domain": "example.com",
"urls": [
"https://example.com/article"
],
"category": "google",
"emails": [],
"social_media": [],
"notes": null,
"status": "NEW",
"created_at": "2026-08-28T00:00:00.000Z",
"updated_at": "2026-08-28T00:00:00.000Z"
}
}
Errors
| Status | Code | Description |
|---|---|---|
400 | VALIDATION_ERROR | Invalid request body |
404 | NOT_FOUND | Finder result or search not found |
Notes
- Requires the
write:finderpermission. - Shortlisting results does not refund discovery credits for that search.
Was this page helpful?
